# OqlPrefixMinusExpression Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlPrefixMinusExpression:
[legend]

List of all members.

## Public Member Functions

| __construct (OqlQueryParameter $subject)
| evaluate ($values)

## Public Attributes

const | CLASS_NAME = 'PrefixUnaryExpression'

## Detailed Description

Definition at line 15 of file OqlPrefixMinusExpression.class.php.

## Constructor & Destructor Documentation

OqlPrefixMinusExpression::__construct | ( | OqlQueryParameter $ | subject | ) |

Definition at line 19 of file OqlPrefixMinusExpression.class.php.

References OqlQueryExpression::addParameter(), OqlQueryParameter::create(), PrefixUnaryExpression::MINUS, OqlQueryExpression::setClassName(), and OqlQueryParameter::setValue().

Here is the call graph for this function:

## Member Function Documentation

OqlPrefixMinusExpression::evaluate | ( | $ | values | ) |

Reimplemented from OqlQueryExpression.

Definition at line 30 of file OqlPrefixMinusExpression.class.php.

References OqlQueryParameter::$value, and OqlQueryExpression::getParameter().

Here is the call graph for this function:

## Member Data Documentation

const OqlPrefixMinusExpression::CLASS_NAME = 'PrefixUnaryExpression'

Definition at line 17 of file OqlPrefixMinusExpression.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Expressions/OqlPrefixMinusExpression.class.php